summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2023-12-01 10:04:25 +0100
committerLinus Färnstrand <linus@mullvad.net>2023-12-01 10:04:25 +0100
commita320f784266f10f4ffdddef65a97ebe56e3a0556 (patch)
tree7076a208388c9f131ad1473c5361bc24d840f847
parentdce46298a511f54894a96c59b0e73771a8524f9b (diff)
parent117b927416355be1abb1864d88789be1846a32b2 (diff)
downloadmullvadvpn-a320f784266f10f4ffdddef65a97ebe56e3a0556.tar.xz
mullvadvpn-a320f784266f10f4ffdddef65a97ebe56e3a0556.zip
Merge branch 'allow-systemdless-install'
-rw-r--r--dist-assets/linux/after-install.sh2
-rw-r--r--dist-assets/linux/before-install.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/dist-assets/linux/after-install.sh b/dist-assets/linux/after-install.sh
index 4a1771772f..20e07be59a 100644
--- a/dist-assets/linux/after-install.sh
+++ b/dist-assets/linux/after-install.sh
@@ -4,5 +4,5 @@ set -eu
chmod u+s "/usr/bin/mullvad-exclude"
systemctl enable "/usr/lib/systemd/system/mullvad-daemon.service"
-systemctl start mullvad-daemon.service
+systemctl start mullvad-daemon.service || echo "Failed to start mullvad-daemon.service"
systemctl enable "/usr/lib/systemd/system/mullvad-early-boot-blocking.service"
diff --git a/dist-assets/linux/before-install.sh b/dist-assets/linux/before-install.sh
index 5150f153ff..b05e04cb0b 100644
--- a/dist-assets/linux/before-install.sh
+++ b/dist-assets/linux/before-install.sh
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
set -eu
-if which systemctl &> /dev/null; then
+if which systemctl &> /dev/null && systemctl is-system-running | grep -vq offline &> /dev/null; then
if systemctl status mullvad-daemon &> /dev/null; then
/opt/Mullvad\ VPN/resources/mullvad-setup prepare-restart || true
systemctl stop mullvad-daemon.service